# Codelab: Building Beautiful Transitions with Material Motion for Flutter

The Material motion system for Flutter is a set of transition patterns within
the [Animations package](https://pub.dev/packages/animations) that can help
users understand and navigate an app, as described in the
[Material Design guidelines](https://material.io/design/motion/the-motion-system.html).

This repo houses the source for the
[Material motion system codelab](https://codelabs.developers.google.com/codelabs/material-motion-flutter),
during which you will build Material transitions into an example email app
called Reply.

The starter code is available on the default `starter` branch, and the complete
code is available on the `complete` branch, which can you can checkout by
running `git checkout complete`.

| Android | iOS |
|----|----|
|![Reply transitions for Android](screenshots/reply-transitions-android.gif) |![Reply transitions for iOS](screenshots/reply-transitions-iOS.gif)|
